/*	InspectorController.h
	Copyright 1993, NeXT Software, Inc.
	All rights reserved.
*/

#import <EOInterface/EOInterface.h>
@class EOMInspector;

// Inspector observes EOMSelectionChangedNotification notifications to refresh its display

@interface EOMInspectorController:NSObject {
    NSWindow		*window;
    NSScrollView	*scrollView;
    NSMapTable          *inspSpecsConfigToBest;
}

+ (void)showInspector;
+ (EOMInspectorController *)sharedInstance;
    // returns shared instance of inspector object for receieving class

@end
