/*
        Copyright (c) 1996, NeXT Software, Inc.
        All rights reserved.

        You may freely copy, distribute and reuse the code in this example.
        NeXT disclaims any warranty of any kind, expressed or implied,
        as to its fitness for any particular use.
*/
#import <AppKit/AppKit.h>
#import <EOAccess/EOAccess.h>

@interface InventoryEntry : NSObject
{
    id movieMediaView;
    id movieMediaFirstKey;
    id movieMediaController;
    id gameMediaView;
    id gameMediaFirstKey;
    id gameMediaController;
    id gamePlayerView;
    id gamePlayerFirstKey;
    id gamePlayerController;
    id productController;
    id movieController; // Just for sorting
    
    id currentView;
    id currentAssociation;
    id currentController;
    id superView;

    id attachKeyFrom;
    BOOL didInitViews;
}

- (void)insertVideoTape:sender;
- (void)insertVideoDisc:sender;
- (void)insertGamePlayer:sender;
- (void)insertGameMedia:sender;

@end
