/*
        Copyright (c) 1996, NeXT Software, Inc.
        All rights reserved.

        You may freely copy, distribute and reuse the code in this example.
        NeXT disclaims any warranty of any kind, expressed or implied,
        as to its fitness for any particular use.
*/
#import "SampleAssocInspector.h"
#import <EOInterface/EOInterface.h>
#import <EOExtensions/EOBrowserAssociation.h>

@implementation EOSampleAssocInspector

- (id)init
{
    self = [super init];
    [NSBundle loadNibNamed:@"SampleAssocInspector" owner:self];
    return self;
}

- (BOOL)wantsButtons
{
    return NO;
}

- (void)revert:(id)sender
{
    [descriptionField setStringValue:[[self object] description]];
    [super revert:sender];
}

- (void)ok:(id)sender
{
    [super ok:sender];
}

@end

// Make this the association for the EBrowserAssociation
@implementation EOBrowserAssociation (EOSampleAssocInspector)
- (NSString *)inspectorClassName
{
    return @"EOSampleAssocInspector";
}
@end
