/*
        Copyright (c) 1996, NeXT Software, Inc.
        All rights reserved.

        You may freely copy, distribute and reuse the code in this example.
        NeXT disclaims any warranty of any kind, expressed or implied,
        as to its fitness for any particular use.
*/
#import <EOControl/EOControl.h>

@class Rental;

@interface Fee : NSObject
{
    NSCalendarDate *datePaid;
    NSDecimalNumber *amount;
    Rental *rental;
    id feeType;
}

- (void)pay;
    // Called when a fee is paid.

- (BOOL)isPaid;
    // To know if the fee is still due.

- initLateFeeWithDateDue:(NSCalendarDate *)date rental:(Rental *)rental;

@end
