/*
   ODBCLoginPanel.h
   Copyright (c) 1996, NeXT Software, Inc.
   All rights reserved.
*/

#import <EOAccess/EOAccess.h>
#import <AppKit/AppKit.h>

#ifndef IBOutlet
#define IBOutlet
#endif

@interface ODBCLoginPanel : NSObject
{
    IBOutlet NSTextField *datasourceName;
    IBOutlet NSTextField *userName;
    IBOutlet NSTextField *password;

    IBOutlet NSTextField *connectionString;

    IBOutlet NSButton *useConnectionString;

    NSMutableDictionary *_connectionInfo;
}

- (NSDictionary *)runPanelForAdaptor:(EOAdaptor *)adaptor validate:(BOOL)yn;

// Private methods
- (void)cancel:sender;
- (void)login:sender;
- (void)switch:sender;
    // These are the targets of the Login and Cancel buttons on the panel.

@end
